Subject: Re: How does a TerminationID look like

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 2 Feb 2000 21:16:57 -0500

We have avoided standardizing termination IDs.  A couple of people have
suggested that their gateways will have a hardcoded terminationID format,
but this should be vendor-specific: configurations will vary between
vendors.  If we really want to get into standardization of naming, I know a
bunch of M- and G-series ITU-T Recommendations which will provide a starting
point on the digital facility side.  Bottom line: above the MG you should
assume that termination IDs will be arbitrary collections of characters.

The SG (Signalling Gateway), if involved in the call, needs a table mapping
between {OPC,DPC,CIC} and MGC.  The MGC needs a table mapping between
{OPC,DPC,CIC} and {MG,terminationID}.  The MGC also needs routing tables on
the TDM side to map from routes to the {MG,terminationID} pairs that make up
those routes.

> -----Original Message-----
> From: Singaravelan Singaraselvan
> [SMTP:[email-masked]]
> Sent: Wednesday, February 02, 2000 12:41 PM
> To:   [email-masked]
> Subject:      How does a TerminationID look like
>
> Hi all,
>
>   I would like to know, an example for a Termination Id when the input is
> a T1
> Trunk.
>
>   Because we need to map the ISUP data namely OPC, DPC and CIC to a
> Termination
> ID.
>
>   Thanks,
>   Singar/..

---

From: Abdallah Rayhan <[email-masked]>
Date: Thu, 3 Feb 2000 09:51:50 -0500

I think name standardization of TerminationIDs is something we should
purse.
It will eliminate confusion and lay the ground for wider cross-vendor
interoperability.

Abdallah Rayhan

"Taylor, Tom-PT (P.T.) [EXCHANGE:CAR:B904]" wrote:

>
>
> We have avoided standardizing termination IDs.  A couple of people
> have suggested that their gateways will have a hardcoded terminationID
> format, but this should be vendor-specific: configurations will vary
> between vendors.  If we really want to get into standardization of
> naming, I know a bunch of M- and G-series ITU-T Recommendations which
> will provide a starting point on the digital facility side.  Bottom
> line: above the MG you should assume that termination IDs will be
> arbitrary collections of characters.
>
> The SG (Signalling Gateway), if involved in the call, needs a table
> mapping between {OPC,DPC,CIC} and MGC.  The MGC needs a table mapping
> between {OPC,DPC,CIC} and {MG,terminationID}.  The MGC also needs
> routing tables on the TDM side to map from routes to the
> {MG,terminationID} pairs that make up those routes.
>
>        I would like to know, an example for a Termination Id when the
>      input is a T1
>      Trunk.
>
>        Because we need to map the ISUP data namely OPC, DPC and CIC to
>      a Termination
>      ID.
>
>        Thanks,
>        Singar/..
>

---

From: Chip Sharp <[email-masked]>
Date: Sat, 12 Feb 2000 15:02:37 -0500

I believe we have been through this issue before.   The current text is the
result of the discussion on that issue.  While it isn't what I wanted, it
is what the group agreed on and I believe it should stand.

Chip

At 09:51 AM 2/3/00 -0500, Abdallah Rayhan wrote:
>
>I think name standardization of TerminationIDs is something we should purse.
>>vendors.  If we really want to get into standardization of naming, I know
>>a bunch of M- and G-series ITU-T Recommendations which will provide a
>>starting point on the digital facility side.  Bottom line: above the MG
>>you should assume that termination IDs will be arbitrary collections of
>>characters.
>>
>>between {OPC,DPC,CIC} and {MG,terminationID}.  The MGC also needs routing
>>tables on the TDM side to map from routes to the {MG,terminationID} pairs
>>that make up those routes.
>>-----Original Message-----  From:   Singaravelan Singaraselvan
>>[SMTP:[email-masked]]  Sent:   Wednesday,
>>February 02, 2000 12:41
>>PM  To:     [email-masked]  Subject:        How does
>>a TerminationID look like
>>
>>Hi all,
>>
>>   I would like to know, an example for a Termination Id when the input
>> is a T1  Trunk.
>>
>> Termination  ID.
>>   Thanks,    Singar/..

Support NetAid!  http://www.netaid.org
--------------------------------------------------
Chip Sharp                 Consulting Engineering
Cisco Systems              Telco Bio-region
Reality - Love it or Leave it.
--------------------------------------------------